Subject: Re: Strange UDP binding behavior (SO_BINDTODEVICE)

From: Casey Carter <[email-masked]>
Date: Tue, 07 Oct 2003 16:49:36 -0500

Kevin Dwyer wrote:

>On Tue, 07 Oct 2003 15:51:57 -0500
>Casey Carter <[email-masked]> wrote:
>
>  
>
>>IMHO, the delivery should weigh sk_bound_dev_if much more strongly (7
>>instead of 2), so that if-bound sockets are always favored over
>>non-if-bound.  I would be happy to submit the (trivial) patch to do so
>>if the networking gurus agree?
>>    
>>
>
>Any possibility of getting this behavior into 2.4 as well?  Albeit,
>without the scoring since that's obviously a new concept introduced by
>2.6. (Which I prefer; well done.)
>
>I confess that I don't know who to talk to about such a change.
>  
>
There is actually a similar ranking algorithm in 2.4, with a similar 
fix. I'll work up a patch and resubmit to netdev in hopes that one of 
the gurus will pick it up.

-- 
Casey Carter
[email-masked]
[email-masked]
AIM: cartec69